1. Countries
  • Overview
  • Endpoints
    • Companies
      • All companies
      • Get a company
      • Create company
      • Create payment
    • Pricing
      • Get pricing packages
    • Countries
      • All countries
        GET
      • Get a country
        GET
    • Forms
      • Get a form
    • Leads
      • All leads
      • Get a lead
      • Update status
    • Profile
      • Get profile
      • Update profile
    • Wallet
      • Get wallet balance
      • Create topup request
    • Support
      • All tickets
      • Get a ticket
      • Create a ticket
    • Notifications
      • All notifications
      • Mark as read
      • Pusher auth
    • Renewals
      • Search companies for renewal
      • Get dynamic form config for a jurisdiction
      • List renewal requests
      • Request a quote revision
      • Approve quote and confirm wallet payment
      • Initiate quote payment — send OTP
      • Get a renewal by ID
      • Submit a renewal request
    • Files
      • Get a one-time download URL for any file owned by the agent
    • Immigration
      • List immigration objectives
      • Submit an assessment and get matching programmes
      • Get application pre-fill
      • Create an application (draft or submitted)
      • List applications
      • Get an application
      • Update a draft (save again or submit)
      • Delete a draft
  • Schemas
    • QuoteConfig
    • CreatePaymentSuccessResponse
    • SuccessEnvelope
    • StandardSuccess
    • ErrorEnvelope
    • ErrorResponse
    • FieldValidation
    • DirectApplication
    • YesNo
    • FileAttachment
    • Company
    • QuoteBreakdown
    • Field
    • Objective
    • Quote
    • Section
    • AssessmentRequest
    • RenewalFormConfigBody
    • ProcessingStep
    • ProgrammeSummary
    • CreateCompanyRequest
    • ProgrammeMatch
    • RenewalFormConfig
    • CompletedDetails
    • ExternalCompany
    • ApplicationPrefill
    • Renewal
    • Applicant
    • FormConfigField
    • ApplicantFields
    • FormConfigSection
    • FamilyMember
    • FamilyMemberFields
    • FormConfig
    • Funds
    • DocumentMeta
    • Declarations
    • StoredDeclarations
    • ApplicationRequest
    • ApplicationStatus
    • Application
    • ApplicationDetail
    • CountryRef
    • CountryName
    • ApplicationListItem
  1. Countries

Get a country

Testing Env
https://demoapi.base93.com/api/v1/user/external/agent/
Testing Env
https://demoapi.base93.com/api/v1/user/external/agent/
GET
https://demoapi.base93.com/api/v1/user/external/agent/
countries/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demoapi.base93.com/api/v1/user/external/agent/countries/69039517a4d3ab2bd8e788d9' \
--header 'Authorization: Bearer <token>'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "status": true,
    "response_code": 200,
    "data": {
        "country": {
            "_id": "68c0095bd23bcd3a5d9e4bf7",
            "name": "United Arab Emirates",
            "country_code": "AE",
            "currency": "AED",
            "exchange_rate": 3.67,
            "logo": "https://base93uat.blob.core.windows.net/base93/dev/provider/logo/flag_of_the_united_arab_emirat_3a1e91f1a33b7c6b.png?sv=2025-07-05&spr=https&st=2025-10-01T08%3A16%3A14Z&se=2035-10-01T08%3A16%3A14Z&sr=b&sp=r&sig=M5sKv6RNFafCG72Kni%2BSI42CA22xlFV%2FQh46zyG%2BDjw%3D",
            "company_types": [
                {
                    "key": "mainland",
                    "label": "Mainland",
                    "freezones": [
                        {
                            "key": "dubai",
                            "label": "Dubai",
                            "_id": "68dce628edad6a335899a9de"
                        },
                        {
                            "key": "abu_dhabi",
                            "label": "Abu Dhabi",
                            "_id": "68dce628edad6a335899a9df"
                        },
                        {
                            "key": "sharjah",
                            "label": "Sharjah",
                            "_id": "68dce628edad6a335899a9e0"
                        },
                        {
                            "key": "ajman",
                            "label": "Ajman",
                            "_id": "68dce628edad6a335899a9e1"
                        },
                        {
                            "key": "ras_al_khaimah",
                            "label": "Ras Al Khaimah",
                            "_id": "68dce628edad6a335899a9e2"
                        },
                        {
                            "key": "fujairah",
                            "label": "Fujairah",
                            "_id": "68dce628edad6a335899a9e3"
                        },
                        {
                            "key": "umm_al_quwain",
                            "label": "Umm Al Quwain",
                            "_id": "68dce628edad6a335899a9e4"
                        }
                    ],
                    "_id": "68dce628edad6a335899a9dd"
                },
                {
                    "key": "freezone",
                    "label": "Freezone",
                    "freezones": [
                        {
                            "key": "international_free_zone_authority_ifza",
                            "label": "International Free Zone Authority (IFZA)",
                            "_id": "68dce628edad6a335899a9e6"
                        },
                        {
                            "key": "dubai_multi_commodities_centre_dmcc",
                            "label": "Dubai Multi Commodities Centre (DMCC)",
                            "_id": "68dce628edad6a335899a9e7"
                        },
                        {
                            "key": "jebel_ali_free_zone_jafza",
                            "label": "Jebel Ali Free Zone (JAFZA)",
                            "_id": "68dce628edad6a335899a9e8"
                        },
                        {
                            "key": "dubai_airport_free_zone_dafza",
                            "label": "Dubai Airport Free Zone (DAFZA)",
                            "_id": "68dce628edad6a335899a9e9"
                        },
                        {
                            "key": "abu_dhabi_global_market_adgm",
                            "label": "Abu Dhabi Global Market (ADGM)",
                            "_id": "68dce628edad6a335899a9ea"
                        },
                        {
                            "key": "ras_al_khaimah_economic_zone_rakez",
                            "label": "Ras Al Khaimah Economic Zone (RAKEZ)",
                            "_id": "68dce628edad6a335899a9eb"
                        },
                        {
                            "key": "sharjah_media_city_shams",
                            "label": "Sharjah Media City (Shams)",
                            "_id": "68dce628edad6a335899a9ec"
                        },
                        {
                            "key": "fujairah_creative_city",
                            "label": "Fujairah Creative City",
                            "_id": "68dce628edad6a335899a9ed"
                        },
                        {
                            "key": "ajman_free_zone",
                            "label": "Ajman Free Zone",
                            "_id": "68dce628edad6a335899a9ee"
                        },
                        {
                            "key": "umm_al_quwain_free_trade_zone_uaq_ftz",
                            "label": "Umm Al Quwain Free Trade Zone (UAQ FTZ)",
                            "_id": "68dce628edad6a335899a9ef"
                        }
                    ],
                    "_id": "68dce628edad6a335899a9e5"
                },
                {
                    "key": "offshore",
                    "label": "Offshore",
                    "freezones": [
                        {
                            "key": "jafza_offshore",
                            "label": "JAFZA Offshore",
                            "_id": "68dce628edad6a335899a9f1"
                        },
                        {
                            "key": "rak_international_corporate_centre_rak_icc",
                            "label": "RAK International Corporate Centre (RAK ICC)",
                            "_id": "68dce628edad6a335899a9f2"
                        },
                        {
                            "key": "ajman_offshore",
                            "label": "Ajman Offshore",
                            "_id": "68dce628edad6a335899a9f3"
                        }
                    ],
                    "_id": "68dce628edad6a335899a9f0"
                }
            ],
            "created_at": "2025-09-09T11:02:51.936Z",
            "updated_at": "2025-10-01T08:28:24.752Z",
            "__v": 0,
            "is_active": true
        }
    }
}
Modified at 2026-10-28 10:03:44
Previous
All countries
Next
Get a form
Built with